#version 130

uniform mat4 u_ViewMatrix = mat4(1.0);
uniform vec3 u_Offset = vec3(0.0, 0.0, 0.0);
uniform ivec2 u_ScreenSize = ivec2(100, 100);

attribute vec3 a_Position;
attribute vec3 a_Color;

varying vec4 v_Position;
varying vec4 v_Color;

// TODO CALCULATE BASED ON SCREEN SIZE
vec4 scale = vec4(u_ScreenSize.y * 1.0 / u_ScreenSize.x, 1.0, 1.0, 0.0) * 0.1;
mat4 rotation = u_ViewMatrix;

void main()
{
    rotation[3] = vec4(0.0, 0.0, 0.0, 1.0);
    v_Position = rotation * vec4(a_Position, 1.0) * scale + vec4(u_Offset, 1.0);
    gl_Position = v_Position;

    v_Color = vec4(a_Color, 1.0);
}